EC_VLOG(3)

NAME
ec_vlog - Log a formatted string.

SYNOPSIS
#include <ecoli/log.h>

int int ec_vlog(
    int                type,    /* The log type identifier. */
    enum ec_log_level  level,   /* The log level. */
    const char        *format,  /* The format string. */
    va_list            ap       /* The list of arguments. */
);

STRUCTURES

enum ec_log_level {

      EC_LOG_EMERG;

      EC_LOG_ALERT;

      EC_LOG_CRIT;

      EC_LOG_ERR;

      EC_LOG_WARNING;

      EC_LOG_NOTICE;

      EC_LOG_INFO;

      EC_LOG_DEBUG;
};

RETURN VALUE

0 on success, -1 on error (errno is set).

SEE ALSO

ec_log_fct_register(3), ec_log_level_set(3), ec_log_level_get(3), ec_log_name(3), ec_log(3), ec_log_default_cb(3), ec_log_type_register(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.